Package picard.sam.markduplicates

# Enum Class CheckDuplicateMarking.Mode

java.lang.Object
java.lang.Enum<CheckDuplicateMarking.Mode>
picard.sam.markduplicates.CheckDuplicateMarking.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<CheckDuplicateMarking.Mode>`, `Constable`, `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`

Enclosing class:
  `CheckDuplicateMarking`

public static enum CheckDuplicateMarking.Mode extends Enum<CheckDuplicateMarking.Mode> implements org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`PRIMARY_MAPPED_ONLY`
`PRIMARY_ONLY`
`PRIMARY_PROPER_PAIR_ONLY`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHelpDoc()`
`static CheckDuplicateMarking.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CheckDuplicateMarking.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL

public static final CheckDuplicateMarking.Mode ALL

### PRIMARY_ONLY

public static final CheckDuplicateMarking.Mode PRIMARY_ONLY

### PRIMARY_MAPPED_ONLY

public static final CheckDuplicateMarking.Mode PRIMARY_MAPPED_ONLY

### PRIMARY_PROPER_PAIR_ONLY

public static final CheckDuplicateMarking.Mode PRIMARY_PROPER_PAIR_ONLY

## Method Details

### values

public static CheckDuplicateMarking.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CheckDuplicateMarking.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getHelpDoc

public String getHelpDoc()

Specified by:
  `getHelpDoc` in interface `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`